/**
 */
package hu.bme.mit.socialNetworkLanguage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see hu.bme.mit.socialNetworkLanguage.SocialNetworkLanguageFactory
 * @model kind="package"
 * @generated
 */
public interface SocialNetworkLanguagePackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "socialNetworkLanguage";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.bme.hu/mit/SocialNetworkLanguage";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "socialNetworkLanguage";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  SocialNetworkLanguagePackage eINSTANCE = hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl.init();

  /**
   * The meta object id for the '{@link hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkImpl <em>Social Network</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkImpl
   * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getSocialNetwork()
   * @generated
   */
  int SOCIAL_NETWORK = 0;

  /**
   * The feature id for the '<em><b>Entities</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOCIAL_NETWORK__ENTITIES = 0;

  /**
   * The feature id for the '<em><b>Acquaintances</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOCIAL_NETWORK__ACQUAINTANCES = 1;

  /**
   * The number of structural features of the '<em>Social Network</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOCIAL_NETWORK_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link hu.bme.mit.socialNetworkLanguage.impl.EntityImpl <em>Entity</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see hu.bme.mit.socialNetworkLanguage.impl.EntityImpl
   * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getEntity()
   * @generated
   */
  int ENTITY = 1;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY__NAME = 0;

  /**
   * The number of structural features of the '<em>Entity</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link hu.bme.mit.socialNetworkLanguage.impl.PersonImpl <em>Person</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see hu.bme.mit.socialNetworkLanguage.impl.PersonImpl
   * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getPerson()
   * @generated
   */
  int PERSON = 2;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PERSON__NAME = ENTITY__NAME;

  /**
   * The feature id for the '<em><b>Sex</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PERSON__SEX = ENTITY_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Memberships</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PERSON__MEMBERSHIPS = ENTITY_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Person</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PERSON_FEATURE_COUNT = ENTITY_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link hu.bme.mit.socialNetworkLanguage.impl.CommunityImpl <em>Community</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see hu.bme.mit.socialNetworkLanguage.impl.CommunityImpl
   * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getCommunity()
   * @generated
   */
  int COMMUNITY = 3;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMMUNITY__NAME = ENTITY__NAME;

  /**
   * The feature id for the '<em><b>Subcommunities</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMMUNITY__SUBCOMMUNITIES = ENTITY_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Community</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMMUNITY_FEATURE_COUNT = ENTITY_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link hu.bme.mit.socialNetworkLanguage.impl.AcquaintanceImpl <em>Acquaintance</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see hu.bme.mit.socialNetworkLanguage.impl.AcquaintanceImpl
   * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getAcquaintance()
   * @generated
   */
  int ACQUAINTANCE = 4;

  /**
   * The feature id for the '<em><b>Source</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACQUAINTANCE__SOURCE = 0;

  /**
   * The feature id for the '<em><b>Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACQUAINTANCE__TYPE = 1;

  /**
   * The feature id for the '<em><b>Target</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACQUAINTANCE__TARGET = 2;

  /**
   * The number of structural features of the '<em>Acquaintance</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACQUAINTANCE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link hu.bme.mit.socialNetworkLanguage.Sex <em>Sex</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see hu.bme.mit.socialNetworkLanguage.Sex
   * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getSex()
   * @generated
   */
  int SEX = 5;

  /**
   * The meta object id for the '{@link hu.bme.mit.socialNetworkLanguage.AcquaintanceType <em>Acquaintance Type</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see hu.bme.mit.socialNetworkLanguage.AcquaintanceType
   * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getAcquaintanceType()
   * @generated
   */
  int ACQUAINTANCE_TYPE = 6;


  /**
   * Returns the meta object for class '{@link hu.bme.mit.socialNetworkLanguage.SocialNetwork <em>Social Network</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Social Network</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.SocialNetwork
   * @generated
   */
  EClass getSocialNetwork();

  /**
   * Returns the meta object for the containment reference list '{@link hu.bme.mit.socialNetworkLanguage.SocialNetwork#getEntities <em>Entities</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Entities</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.SocialNetwork#getEntities()
   * @see #getSocialNetwork()
   * @generated
   */
  EReference getSocialNetwork_Entities();

  /**
   * Returns the meta object for the containment reference list '{@link hu.bme.mit.socialNetworkLanguage.SocialNetwork#getAcquaintances <em>Acquaintances</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Acquaintances</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.SocialNetwork#getAcquaintances()
   * @see #getSocialNetwork()
   * @generated
   */
  EReference getSocialNetwork_Acquaintances();

  /**
   * Returns the meta object for class '{@link hu.bme.mit.socialNetworkLanguage.Entity <em>Entity</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Entity</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Entity
   * @generated
   */
  EClass getEntity();

  /**
   * Returns the meta object for the attribute '{@link hu.bme.mit.socialNetworkLanguage.Entity#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Entity#getName()
   * @see #getEntity()
   * @generated
   */
  EAttribute getEntity_Name();

  /**
   * Returns the meta object for class '{@link hu.bme.mit.socialNetworkLanguage.Person <em>Person</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Person</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Person
   * @generated
   */
  EClass getPerson();

  /**
   * Returns the meta object for the attribute '{@link hu.bme.mit.socialNetworkLanguage.Person#getSex <em>Sex</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Sex</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Person#getSex()
   * @see #getPerson()
   * @generated
   */
  EAttribute getPerson_Sex();

  /**
   * Returns the meta object for the reference list '{@link hu.bme.mit.socialNetworkLanguage.Person#getMemberships <em>Memberships</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Memberships</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Person#getMemberships()
   * @see #getPerson()
   * @generated
   */
  EReference getPerson_Memberships();

  /**
   * Returns the meta object for class '{@link hu.bme.mit.socialNetworkLanguage.Community <em>Community</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Community</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Community
   * @generated
   */
  EClass getCommunity();

  /**
   * Returns the meta object for the containment reference list '{@link hu.bme.mit.socialNetworkLanguage.Community#getSubcommunities <em>Subcommunities</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Subcommunities</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Community#getSubcommunities()
   * @see #getCommunity()
   * @generated
   */
  EReference getCommunity_Subcommunities();

  /**
   * Returns the meta object for class '{@link hu.bme.mit.socialNetworkLanguage.Acquaintance <em>Acquaintance</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Acquaintance</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Acquaintance
   * @generated
   */
  EClass getAcquaintance();

  /**
   * Returns the meta object for the reference '{@link hu.bme.mit.socialNetworkLanguage.Acquaintance#getSource <em>Source</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Source</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Acquaintance#getSource()
   * @see #getAcquaintance()
   * @generated
   */
  EReference getAcquaintance_Source();

  /**
   * Returns the meta object for the attribute '{@link hu.bme.mit.socialNetworkLanguage.Acquaintance#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Type</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Acquaintance#getType()
   * @see #getAcquaintance()
   * @generated
   */
  EAttribute getAcquaintance_Type();

  /**
   * Returns the meta object for the reference '{@link hu.bme.mit.socialNetworkLanguage.Acquaintance#getTarget <em>Target</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Target</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Acquaintance#getTarget()
   * @see #getAcquaintance()
   * @generated
   */
  EReference getAcquaintance_Target();

  /**
   * Returns the meta object for enum '{@link hu.bme.mit.socialNetworkLanguage.Sex <em>Sex</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Sex</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.Sex
   * @generated
   */
  EEnum getSex();

  /**
   * Returns the meta object for enum '{@link hu.bme.mit.socialNetworkLanguage.AcquaintanceType <em>Acquaintance Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Acquaintance Type</em>'.
   * @see hu.bme.mit.socialNetworkLanguage.AcquaintanceType
   * @generated
   */
  EEnum getAcquaintanceType();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  SocialNetworkLanguageFactory getSocialNetworkLanguageFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkImpl <em>Social Network</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkImpl
     * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getSocialNetwork()
     * @generated
     */
    EClass SOCIAL_NETWORK = eINSTANCE.getSocialNetwork();

    /**
     * The meta object literal for the '<em><b>Entities</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SOCIAL_NETWORK__ENTITIES = eINSTANCE.getSocialNetwork_Entities();

    /**
     * The meta object literal for the '<em><b>Acquaintances</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SOCIAL_NETWORK__ACQUAINTANCES = eINSTANCE.getSocialNetwork_Acquaintances();

    /**
     * The meta object literal for the '{@link hu.bme.mit.socialNetworkLanguage.impl.EntityImpl <em>Entity</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see hu.bme.mit.socialNetworkLanguage.impl.EntityImpl
     * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getEntity()
     * @generated
     */
    EClass ENTITY = eINSTANCE.getEntity();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ENTITY__NAME = eINSTANCE.getEntity_Name();

    /**
     * The meta object literal for the '{@link hu.bme.mit.socialNetworkLanguage.impl.PersonImpl <em>Person</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see hu.bme.mit.socialNetworkLanguage.impl.PersonImpl
     * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getPerson()
     * @generated
     */
    EClass PERSON = eINSTANCE.getPerson();

    /**
     * The meta object literal for the '<em><b>Sex</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PERSON__SEX = eINSTANCE.getPerson_Sex();

    /**
     * The meta object literal for the '<em><b>Memberships</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PERSON__MEMBERSHIPS = eINSTANCE.getPerson_Memberships();

    /**
     * The meta object literal for the '{@link hu.bme.mit.socialNetworkLanguage.impl.CommunityImpl <em>Community</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see hu.bme.mit.socialNetworkLanguage.impl.CommunityImpl
     * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getCommunity()
     * @generated
     */
    EClass COMMUNITY = eINSTANCE.getCommunity();

    /**
     * The meta object literal for the '<em><b>Subcommunities</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference COMMUNITY__SUBCOMMUNITIES = eINSTANCE.getCommunity_Subcommunities();

    /**
     * The meta object literal for the '{@link hu.bme.mit.socialNetworkLanguage.impl.AcquaintanceImpl <em>Acquaintance</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see hu.bme.mit.socialNetworkLanguage.impl.AcquaintanceImpl
     * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getAcquaintance()
     * @generated
     */
    EClass ACQUAINTANCE = eINSTANCE.getAcquaintance();

    /**
     * The meta object literal for the '<em><b>Source</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ACQUAINTANCE__SOURCE = eINSTANCE.getAcquaintance_Source();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ACQUAINTANCE__TYPE = eINSTANCE.getAcquaintance_Type();

    /**
     * The meta object literal for the '<em><b>Target</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ACQUAINTANCE__TARGET = eINSTANCE.getAcquaintance_Target();

    /**
     * The meta object literal for the '{@link hu.bme.mit.socialNetworkLanguage.Sex <em>Sex</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see hu.bme.mit.socialNetworkLanguage.Sex
     * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getSex()
     * @generated
     */
    EEnum SEX = eINSTANCE.getSex();

    /**
     * The meta object literal for the '{@link hu.bme.mit.socialNetworkLanguage.AcquaintanceType <em>Acquaintance Type</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see hu.bme.mit.socialNetworkLanguage.AcquaintanceType
     * @see hu.bme.mit.socialNetworkLanguage.impl.SocialNetworkLanguagePackageImpl#getAcquaintanceType()
     * @generated
     */
    EEnum ACQUAINTANCE_TYPE = eINSTANCE.getAcquaintanceType();

  }

} //SocialNetworkLanguagePackage
