/*
 * generated by Xtext
 */
package hu.bme.mit.formatting

import com.google.inject.Inject
import hu.bme.mit.services.SocialNetworkLanguageGrammarAccess
import org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter
import org.eclipse.xtext.formatting.impl.FormattingConfig

/**
 * This class contains custom formatting description.
 * 
 * see : http://www.eclipse.org/Xtext/documentation.html#formatting
 * on how and when to use it 
 * 
 * Also see {@link org.eclipse.xtext.xtext.XtextFormattingTokenSerializer} as an example
 */
class SocialNetworkLanguageFormatter extends AbstractDeclarativeFormatter {

	@Inject extension SocialNetworkLanguageGrammarAccess
	
	override protected void configureFormatting(FormattingConfig c) {
		// It's usually a good idea to activate the following three statements.
		// They will add and preserve newlines around comments
		c.setLinewrap(0, 1, 2).before(getSL_COMMENTRule)
		c.setLinewrap(0, 1, 2).before(getML_COMMENTRule)
		c.setLinewrap(0, 1, 1).after(getML_COMMENTRule)

		val sne = getSocialNetworkAccess()
		c.setLinewrap(1, 1, 1).after(sne.getLeftCurlyBracketKeyword_1)
		c.setLinewrap(1, 1, 1).before(sne.rightCurlyBracketKeyword_3)
		c.setLinewrap(1, 1, 1).after(sne.getEntitiesAssignment_2_0)
		c.setLinewrap(2, 2, 2).before(sne.getAcquaintancesAcquaintanceParserRuleCall_2_1_0)
		c.setIndentationIncrement().after(sne.getLeftCurlyBracketKeyword_1)
		c.setIndentationDecrement().before(sne.getRightCurlyBracketKeyword_3)
		
		val ca = getCommunityAccess()
		c.setLinewrap(1, 1, 1).after(ca.getLeftCurlyBracketKeyword_2_0)
		c.setLinewrap(1, 1, 2).before(ca.getRightCurlyBracketKeyword_2_2)
		c.setIndentationIncrement().after(ca.getLeftCurlyBracketKeyword_2_0)
		c.setIndentationDecrement().before(ca.getRightCurlyBracketKeyword_2_2)
		
		val pa = getPersonAccess()
		c.setLinewrap(1, 1, 2).before(pa.getMembershipsKeyword_4_0)
		c.setLinewrap(1, 1, 1).before(pa.getSexAssignment_3)
		c.setLinewrap(1, 1, 1).after(pa.getSexAssignment_3)
		c.setLinewrap(1, 1, 1).after(pa.getLeftCurlyBracketKeyword_2)
		c.setLinewrap(1, 1, 1).before(pa.getRightCurlyBracketKeyword_5)
		c.setNoSpace().before(pa.getCommaKeyword_4_2_0)
		c.setIndentationIncrement().after(pa.getLeftCurlyBracketKeyword_2)
		c.setIndentationDecrement().before(pa.getRightCurlyBracketKeyword_5)
		
		c.setLinewrap(1, 1, 1).after(getAcquaintanceRule)
	}
}
