/*
 * generated by Xtext
 */
package hu.bme.mit.generator

import org.eclipse.emf.ecore.resource.Resource
import org.eclipse.xtext.generator.IGenerator
import org.eclipse.xtext.generator.IFileSystemAccess
import hu.bme.mit.socialNetworkLanguage.Community
import hu.bme.mit.socialNetworkLanguage.Person

/**
 * Generates code from your model files on save.
 * 
 * see http://www.eclipse.org/Xtext/documentation.html#TutorialCodeGeneration
 */
class SocialNetworkLanguageGenerator implements IGenerator {

	override void doGenerate(Resource resource, IFileSystemAccess fsa) {
		resource.allContents.filter(typeof(Community)).forEach[fsa.generateFile(name + ".html", compile)]
	}

	def compile(Community c) '''
		<html>
		  <head>
		    <title>Community «c.name»</title>	
		  </head>
		  <body>
		    <p>This is the generated webpage of the Community «c.name»</p>
		    <p>The following persons are the members of this community:
		      <ul>
		        «FOR p : c.eResource.allContents.filter(typeof(Person)).filter(e|e.memberships.findFirst[it == c] != null).
			toIterable»
		        	«p.compile»
		        «ENDFOR»
		      </ul>
		    </p>
		  </body>
		</html>
	'''

	def compile(Person p) '''
		<li>«p.name», «p.sex»</li> 
	'''

}
