/**
 * generated by Xtext
 */
package hu.bme.mit.formatting;

import com.google.inject.Inject;
import hu.bme.mit.services.SocialNetworkLanguageGrammarAccess;
import hu.bme.mit.services.SocialNetworkLanguageGrammarAccess.CommunityElements;
import hu.bme.mit.services.SocialNetworkLanguageGrammarAccess.PersonElements;
import hu.bme.mit.services.SocialNetworkLanguageGrammarAccess.SocialNetworkElements;
import org.eclipse.xtext.Assignment;
import org.eclipse.xtext.Keyword;
import org.eclipse.xtext.ParserRule;
import org.eclipse.xtext.RuleCall;
import org.eclipse.xtext.TerminalRule;
import org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter;
import org.eclipse.xtext.formatting.impl.FormattingConfig;
import org.eclipse.xtext.formatting.impl.FormattingConfig.IndentationLocatorEnd;
import org.eclipse.xtext.formatting.impl.FormattingConfig.IndentationLocatorStart;
import org.eclipse.xtext.formatting.impl.FormattingConfig.LinewrapLocator;
import org.eclipse.xtext.formatting.impl.FormattingConfig.NoSpaceLocator;
import org.eclipse.xtext.xbase.lib.Extension;

/**
 * This class contains custom formatting description.
 * 
 * see : http://www.eclipse.org/Xtext/documentation.html#formatting
 * on how and when to use it
 * 
 * Also see {@link org.eclipse.xtext.xtext.XtextFormattingTokenSerializer} as an example
 */
@SuppressWarnings("all")
public class SocialNetworkLanguageFormatter extends AbstractDeclarativeFormatter {
  @Inject
  @Extension
  private SocialNetworkLanguageGrammarAccess _socialNetworkLanguageGrammarAccess;
  
  protected void configureFormatting(final FormattingConfig c) {
    LinewrapLocator _setLinewrap = c.setLinewrap(0, 1, 2);
    TerminalRule _sL_COMMENTRule = this._socialNetworkLanguageGrammarAccess.getSL_COMMENTRule();
    _setLinewrap.before(_sL_COMMENTRule);
    LinewrapLocator _setLinewrap_1 = c.setLinewrap(0, 1, 2);
    TerminalRule _mL_COMMENTRule = this._socialNetworkLanguageGrammarAccess.getML_COMMENTRule();
    _setLinewrap_1.before(_mL_COMMENTRule);
    LinewrapLocator _setLinewrap_2 = c.setLinewrap(0, 1, 1);
    TerminalRule _mL_COMMENTRule_1 = this._socialNetworkLanguageGrammarAccess.getML_COMMENTRule();
    _setLinewrap_2.after(_mL_COMMENTRule_1);
    final SocialNetworkElements sne = this._socialNetworkLanguageGrammarAccess.getSocialNetworkAccess();
    LinewrapLocator _setLinewrap_3 = c.setLinewrap(1, 1, 1);
    Keyword _leftCurlyBracketKeyword_1 = sne.getLeftCurlyBracketKeyword_1();
    _setLinewrap_3.after(_leftCurlyBracketKeyword_1);
    LinewrapLocator _setLinewrap_4 = c.setLinewrap(1, 1, 1);
    Keyword _rightCurlyBracketKeyword_3 = sne.getRightCurlyBracketKeyword_3();
    _setLinewrap_4.before(_rightCurlyBracketKeyword_3);
    LinewrapLocator _setLinewrap_5 = c.setLinewrap(1, 1, 1);
    Assignment _entitiesAssignment_2_0 = sne.getEntitiesAssignment_2_0();
    _setLinewrap_5.after(_entitiesAssignment_2_0);
    LinewrapLocator _setLinewrap_6 = c.setLinewrap(2, 2, 2);
    RuleCall _acquaintancesAcquaintanceParserRuleCall_2_1_0 = sne.getAcquaintancesAcquaintanceParserRuleCall_2_1_0();
    _setLinewrap_6.before(_acquaintancesAcquaintanceParserRuleCall_2_1_0);
    IndentationLocatorStart _setIndentationIncrement = c.setIndentationIncrement();
    Keyword _leftCurlyBracketKeyword_1_1 = sne.getLeftCurlyBracketKeyword_1();
    _setIndentationIncrement.after(_leftCurlyBracketKeyword_1_1);
    IndentationLocatorEnd _setIndentationDecrement = c.setIndentationDecrement();
    Keyword _rightCurlyBracketKeyword_3_1 = sne.getRightCurlyBracketKeyword_3();
    _setIndentationDecrement.before(_rightCurlyBracketKeyword_3_1);
    final CommunityElements ca = this._socialNetworkLanguageGrammarAccess.getCommunityAccess();
    LinewrapLocator _setLinewrap_7 = c.setLinewrap(1, 1, 1);
    Keyword _leftCurlyBracketKeyword_2_0 = ca.getLeftCurlyBracketKeyword_2_0();
    _setLinewrap_7.after(_leftCurlyBracketKeyword_2_0);
    LinewrapLocator _setLinewrap_8 = c.setLinewrap(1, 1, 2);
    Keyword _rightCurlyBracketKeyword_2_2 = ca.getRightCurlyBracketKeyword_2_2();
    _setLinewrap_8.before(_rightCurlyBracketKeyword_2_2);
    IndentationLocatorStart _setIndentationIncrement_1 = c.setIndentationIncrement();
    Keyword _leftCurlyBracketKeyword_2_0_1 = ca.getLeftCurlyBracketKeyword_2_0();
    _setIndentationIncrement_1.after(_leftCurlyBracketKeyword_2_0_1);
    IndentationLocatorEnd _setIndentationDecrement_1 = c.setIndentationDecrement();
    Keyword _rightCurlyBracketKeyword_2_2_1 = ca.getRightCurlyBracketKeyword_2_2();
    _setIndentationDecrement_1.before(_rightCurlyBracketKeyword_2_2_1);
    final PersonElements pa = this._socialNetworkLanguageGrammarAccess.getPersonAccess();
    LinewrapLocator _setLinewrap_9 = c.setLinewrap(1, 1, 2);
    Keyword _membershipsKeyword_4_0 = pa.getMembershipsKeyword_4_0();
    _setLinewrap_9.before(_membershipsKeyword_4_0);
    LinewrapLocator _setLinewrap_10 = c.setLinewrap(1, 1, 1);
    Assignment _sexAssignment_3 = pa.getSexAssignment_3();
    _setLinewrap_10.before(_sexAssignment_3);
    LinewrapLocator _setLinewrap_11 = c.setLinewrap(1, 1, 1);
    Assignment _sexAssignment_3_1 = pa.getSexAssignment_3();
    _setLinewrap_11.after(_sexAssignment_3_1);
    LinewrapLocator _setLinewrap_12 = c.setLinewrap(1, 1, 1);
    Keyword _leftCurlyBracketKeyword_2 = pa.getLeftCurlyBracketKeyword_2();
    _setLinewrap_12.after(_leftCurlyBracketKeyword_2);
    LinewrapLocator _setLinewrap_13 = c.setLinewrap(1, 1, 1);
    Keyword _rightCurlyBracketKeyword_5 = pa.getRightCurlyBracketKeyword_5();
    _setLinewrap_13.before(_rightCurlyBracketKeyword_5);
    NoSpaceLocator _setNoSpace = c.setNoSpace();
    Keyword _commaKeyword_4_2_0 = pa.getCommaKeyword_4_2_0();
    _setNoSpace.before(_commaKeyword_4_2_0);
    IndentationLocatorStart _setIndentationIncrement_2 = c.setIndentationIncrement();
    Keyword _leftCurlyBracketKeyword_2_1 = pa.getLeftCurlyBracketKeyword_2();
    _setIndentationIncrement_2.after(_leftCurlyBracketKeyword_2_1);
    IndentationLocatorEnd _setIndentationDecrement_2 = c.setIndentationDecrement();
    Keyword _rightCurlyBracketKeyword_5_1 = pa.getRightCurlyBracketKeyword_5();
    _setIndentationDecrement_2.before(_rightCurlyBracketKeyword_5_1);
    LinewrapLocator _setLinewrap_14 = c.setLinewrap(1, 1, 1);
    ParserRule _acquaintanceRule = this._socialNetworkLanguageGrammarAccess.getAcquaintanceRule();
    _setLinewrap_14.after(_acquaintanceRule);
  }
}
