/**
 * generated by Xtext
 */
package hu.bme.mit.validation;

import com.google.common.base.Objects;
import hu.bme.mit.socialNetworkLanguage.Acquaintance;
import hu.bme.mit.socialNetworkLanguage.Entity;
import hu.bme.mit.socialNetworkLanguage.Person;
import hu.bme.mit.socialNetworkLanguage.SocialNetworkLanguagePackage;
import hu.bme.mit.validation.AbstractSocialNetworkLanguageValidator;
import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.xtext.validation.Check;
import org.eclipse.xtext.xbase.lib.Extension;

/**
 * Custom validation rules.
 * 
 * see http://www.eclipse.org/Xtext/documentation.html#validation
 */
@SuppressWarnings("all")
public class SocialNetworkLanguageValidator extends AbstractSocialNetworkLanguageValidator {
  @Extension
  private SocialNetworkLanguagePackage pkg = SocialNetworkLanguagePackage.eINSTANCE;
  
  @Check
  public void checkAcquaintanceEnds(final Acquaintance acq) {
    final Person src = acq.getSource();
    final Person trg = acq.getTarget();
    boolean _equals = Objects.equal(src, trg);
    if (_equals) {
      EReference _acquaintance_Source = this.pkg.getAcquaintance_Source();
      this.error("Acquaintance should be defined between two different persons.", _acquaintance_Source);
      EReference _acquaintance_Target = this.pkg.getAcquaintance_Target();
      this.error("Acquaintance should be defined between two different persons.", _acquaintance_Target);
    }
  }
  
  @Check
  public void checkName(final Entity entity) {
    final String name = entity.getName();
    char _charAt = name.charAt(0);
    boolean _isLowerCase = Character.isLowerCase(_charAt);
    if (_isLowerCase) {
      EAttribute _entity_Name = this.pkg.getEntity_Name();
      this.warning("Names should be capitalized", _entity_Name);
    }
  }
}
